strrpos
strstr
String Functions
PHP Manual

# strspn

(PHP 4, PHP 5)

strspn — Find length of initial segment matching mask

### Description

int strspn ( string `$str1` , string `$str2` [, int `$start` [, int `$length` ]] )

Finds the length of the initial segment matching mask.

The line of code:

`<?php
$var = strspn("42 is the answer, what is the question ...", "1234567890");
?>`
will assign 2 to $var, because the string "42" will be the longest segment containing characters from "1234567890".

### Parameters

`str1`

  The first string.

`str2`

  The second string.

`start`

  The start position of the string to examine. Negative value counts position from the end of a string.

`length`

  The length of the string to examine. Negative value sets length from the end of a string.

### Return Values

Returns the length of the initial segment of `str1` which consists entirely of characters in `str2` .

### ChangeLog

Version | Description
--- | ---
4.3.0 | The `start` and `length` parameters were added

### Examples

Example #1 strspn() example

`<?php
echo strspn("foo", "o", 1, 2); // 2
?>`

### Notes

> Note: This function is binary-safe.

### See Also

- strcspn()

strrpos
strstr
String Functions
PHP Manual